StartupEvents.registry('block', event => {
    // Plushies
event.create('nm_plushie_alex')
    .displayName('Plushie Alex')
    .requiresTool(false) 
    .soundType('wool')
    .notSolid()
    .lightLevel(1)
    .defaultTranslucent()

event.create('nm_plushie_creaking')
    .displayName('Plushie Creaking')
    .requiresTool(false) 
    .soundType('wool')
    .notSolid()
    .lightLevel(1)
    .defaultTranslucent()

event.create('nm_plushie_ocelot')
    .displayName('Plushie Ocelot')
    .requiresTool(false) 
    .soundType('wool')
    .notSolid()
    .lightLevel(1)
    .defaultTranslucent()

event.create('nm_plushie_steve')
    .displayName('Plushie Steve')
    .requiresTool(false) 
    .soundType('wool')
    .notSolid()
    .lightLevel(1)
    .defaultTranslucent()

event.create('nm_plushie_tropical_fish')
    .displayName('Plushie Tropical Fish')
    .requiresTool(false) 
    .soundType('wool')
    .notSolid()
    .lightLevel(1)
    .defaultTranslucent()

event.create('nm_plushie_zombie_horse')
    .displayName('Plushie Zombie Horse')
    .requiresTool(false) 
    .soundType('wool')
    .notSolid()
    .lightLevel(1)
    .defaultTranslucent()

    // Inderium Ore
    event.create('inderium_ore')
    .displayName('Inderium Ore') 
    .hardness(5.0)
    .resistance(5.0)
    .requiresTool(true)
    .tagBlock('minecraft:ores')
    .tagBlock('minecraft:deepslate_ore_replaceables')
    .tagBlock('minecraft:stone_ore_replaceables')
    .tagBlock('c:ores')
    .tagBlock('minecraft:mineable/pickaxe')
    .tagBlock('minecraft:needs_iron_tool')

    // Inderium Block
    event.create('block_of_inderium')
    .displayName('Block of Inderium') 
    .hardness(5.0)
    .resistance(5.0)
    .requiresTool(true)
    })

    // event.create('u1_z7_dragonhat')
    // .displayName('Dragon Hat')
    // .requiresTool(false) // Create a new block with ID 'kubejs:example_block'